import edu.isi.www.fedd_types.*;
import edu.isi.www.fedd_wsdl.*;
import java.net.URL;
import net.deterlab.isi.XTrustProvider;
import net.deterlab.isi.Fedid;

class MultiStatus extends FeddCommand {

    /**
     * Dummy program to test an AXIS fedd implementation generated from the
     * WSDL and run by axis.
     * It just calls terminate with a dummy id as a local name (which can be
     * supplied on the command line and reprints the localname that the server
     * replies with.  A client certificate muct exist in the local keystore
     * file with the given password. 
     */
    public static void main(String args[]) throws 
	    javax.xml.rpc.ServiceException, java.net.MalformedURLException,
	    java.rmi.RemoteException {
	
	FeddPortType port = getPort("https://users.isi.deterlab.net:23235");
	setUpSecurity();
	/*
	 * The various parts of the MultiInfo message and response
	 */

	MultiInfoRequestType req = new MultiInfoRequestType();
	MultiInfoResponseType resp = null;

	try {
	    /* Build the message and make the call */
	    resp = port.multiInfo(req);
	}
	catch (FaultType e) {
	    System.out.println(e);
	    System.exit(0);
	}
	if (resp.getInfo() != null) {
	    for (InfoResponseType info: resp.getInfo()) {
		ExperimentLabels el = 
		    new ExperimentLabels(info.getExperimentID());

		System.out.println(el.getLocalname() + ":" + el.getFedid() 
			+":" + info.getExperimentStatus().getValue());
	    }
	}
	else 
	    System.out.println("No experiments");
    }
}
